Mail::SpamAssassin::Pyzor::Digest(3p)

NAME
Mail::SpamAssassin::Pyzor::Digest - Pyzor Digest module

SYNOPSIS
    my $digest = Mail::SpamAssassin::Pyzor::Digest::get( $mime_text );

DESCRIPTION
A reimplementation of <https://github.com/SpamExperts/pyzor/blob/master/pyzor/digest.py>.

FUNCTIONS

  $hex = get( $MSG )
This takes an email message in raw MIME text format (i.e., as saved in the standard mbox format) and returns the message's Pyzor digest in lower-case hexadecimal.

The output from this function should normally be identical to that of the "pyzor" script's "digest" command. It is suitable for use in Mail::SpamAssassin::Pyzor::Client's request methods.